#ifndef CLIENT_H
#define CLIENT_H

#include "../engine/Mesh.h"
#include "../engine/TextureMesh.h"
#include "../math/Vector3D.h"
#include "../engine/Texture.h"

class Client
{
public:
    static void start();
    
private:
    Client();

    static void init();
    static void tick();
    static void renderTick(float lag);
    
    static Texture texture;
    static Texture texture2;
    static Mesh mesh;
    static TextureMesh tmesh;
    
    static Vector3D position;
    static float lengthAngle;
    static float widthAngle;
    
    static const int KEY_LEFT = 0;
    static const int KEY_RIGHT = 1;
    static const int KEY_UP = 2;
    static const int KEY_DOWN = 3;
    static const int KEY_JUMP = 4;
    static const int KEY_SNEAK = 5;
    
    static const int KEY_CAM_LEFT = 6;
    static const int KEY_CAM_RIGHT = 7;
    static const int KEY_CAM_UP = 8;
    static const int KEY_CAM_DOWN = 9;
    
};

#endif

